Only in /net/fly/b4/srs/src: genes4report.c%
Only in /net/fly/b4/srs/src: new
Only in /net/fly/b4/srs/src: old.sep95
diff -bwrc /net/fly/b4/srs/src/seqlib.c src/seqlib.c
*** /net/fly/b4/srs/src/seqlib.c	Sat Oct 14 12:12:48 1995
--- src/seqlib.c	Thu Sep 21 10:02:52 1995
***************
*** 346,352 ****
  **      RETURNS:    
  */
  
! static INT4 gSeqFormat = -1;
  
  void SlbEntryPrint (ENTRYo *entry, char *setName, int entryN, int entryCurrN)
  {
--- 346,352 ----
  **      RETURNS:    
  */
  
! INT4 gSeqFormat = -1;
  
  void SlbEntryPrint (ENTRYo *entry, char *setName, int entryN, int entryCurrN)
  {
***************
*** 473,480 ****
        switch (seqFormat) {
        	
        case SEQxAsIs:
- SeqWriteGenbank(seq, entry->entry_nm, print); /* debug */
- break;
        	{
        	char *cp, *maxp, *ep;
        	char line[SEQxXLN+1];
--- 473,478 ----
diff -bwrc /net/fly/b4/srs/src/srswww.c src/srswww.c
*** /net/fly/b4/srs/src/srswww.c	Tue Mar 28 15:27:23 1995
--- src/srswww.c	Thu Sep 21 10:07:14 1995
***************
*** 640,654 ****
  **	RETURNS:    
  */ 
  
  void WwwEntryPrint (ENTRYo *entry, SCRIPTo *script)
  {
    SLBoFEATURE *feature;
    SEQo        *seq=NULL, *protseq=NULL;
!   char        *tmp;
    INT4        errCode, seqFormat, (*print)(char*,...)=
                (INT4(*)(char*,...)) WwwPrintF, isInPre=0;
  
!   switch (tolower (ParGetStr ("seqFormat")[0])) {
    case 'p':
      seqFormat = SEQxPIR;
      break;
--- 640,673 ----
  **	RETURNS:    
  */ 
  
+ extern INT4 gSeqFormat;
+ 
  void WwwEntryPrint (ENTRYo *entry, SCRIPTo *script)
  {
    SLBoFEATURE *feature;
    SEQo        *seq=NULL, *protseq=NULL;
!   char        *tmp, * forms;
    INT4        errCode, seqFormat, (*print)(char*,...)=
                (INT4(*)(char*,...)) WwwPrintF, isInPre=0;
  
! /*  switch (tolower (ParGetStr ("seqFormat")[0])) { */
! 	forms= ParGetStr("seqFormat");
!   switch (tolower (forms[0])) {
! 	  case 'a':  /* dgg */
! 	  	seqFormat= SEQxAsIs;
! 	  	break;
! 	  case 'c':  /* dgg */
! 	  	seqFormat= SEQxCODATA;
! 	  	break;
! 	  case 'g':  /* dgg */
! 		  if (tolower(forms[1]) == 'c') {
! 		    seqFormat = SEQxGCG;
! 		  	}
! 			else { 
! 		  	seqFormat= SEQxGENBANK;
! 		  	}
! 	    break;
! 
    case 'p':
      seqFormat = SEQxPIR;
      break;
***************
*** 655,668 ****
    case 'e':
      seqFormat = SEQxEMBL;
      break;
-   case 'g':
-     seqFormat = SEQxGCG;
-     break;
    case 'f':
      seqFormat = SEQxFASTA;
      break;
    }
    
    ParDefFunction ("printf", (INT4 (*)()) WwwPrintF);
  
    if (ParGetNum ("printText")){ /* print the complete entry */
--- 674,686 ----
    case 'e':
      seqFormat = SEQxEMBL;
      break;
    case 'f':
      seqFormat = SEQxFASTA;
      break;
    }
  
+   gSeqFormat = seqFormat; /* pass to SlbGetSequence w/o parameter change - dgg*/
+   
    ParDefFunction ("printf", (INT4 (*)()) WwwPrintF);
  
    if (ParGetNum ("printText")){ /* print the complete entry */
***************
*** 745,750 ****
--- 763,804 ----
  	isInPre = 1;
        }
        switch (seqFormat) {
+ 
+      case SEQxAsIs:
+       	{
+       	char *cp, *maxp, *ep;
+       	char line[SEQxXLN+1];
+       	char hasnl;
+       	long nline;
+       	
+       	cp= seq->seq;
+       	maxp= seq->seq + seq->len;
+       	while (cp<maxp) {
+       		ep= strchr(cp, '\n');
+       		if (!ep) { 
+       			 hasnl= 0;
+       			 if (maxp-cp < 60) ep= maxp; 
+       			 else ep= cp+60; 
+       			 }
+       		else hasnl= 1;
+       		nline= ep - cp; 
+       		if (nline > SEQxXLN) nline= SEQxXLN;
+       		strncpy( line, cp, nline);
+       		line[nline]= 0;
+      			print( "%s\n", line);
+        		cp = ep;
+       		if (hasnl) cp++;
+       		}
+   			}
+       	break;
+       	
+       case SEQxGENBANK:
+  				SeqWriteGenbank(seq, entry->entry_nm, print);
+      		break;
+       case SEQxCODATA:
+ 				SeqWriteCODATA(seq, entry->entry_nm, print);
+       	break;
+ 
        case SEQxPIR:
  	SeqWritePIR (seq, entry->entry_nm, 0, print);
  	break;
diff -bwrc /net/fly/b4/srs/src/tm.c src/tm.c
*** /net/fly/b4/srs/src/tm.c	Sat Oct 14 12:02:55 1995
--- src/tm.c	Sat Oct 14 12:07:21 1995
***************
*** 144,150 ****
    fileNo = fileno (file);
    fstat (fileNo, &buff);
    
!   return buff.st_mtime; /*dgg, was st_ctime; -- NOT last status change time */
  #endif
  }
  
--- 144,150 ----
    fileNo = fileno (file);
    fstat (fileNo, &buff);
    
!   return buff.st_mtime; /* dgg, was ctime (status change time, bad) */
  #endif
  }
  
Only in /net/fly/b4/srs/src: wgetz.o
.
